package cn.com.poc.expose.rest;

import cn.com.poc.agent_application.dto.AgentApplicationCreateContinueQuesDto;
import cn.com.poc.agent_application.dto.AgentApplicationInfoDto;
import cn.com.poc.agent_application.dto.AgentApplicationInfoSearchDto;
import cn.com.poc.agent_application.dto.BizAgentApplicationPublishDto;
import cn.com.poc.expose.dto.AgentApplicationDto;
import cn.com.yict.framemax.core.rest.BaseRest;
import cn.com.yict.framemax.web.permission.Access;
import cn.com.yict.framemax.web.permission.Permission;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

@Permission(value = Access.Safety)
public interface AgentApplicationRest extends BaseRest {

    /**
     * 创建对话
     */
    String createDialogues(@RequestParam String agentId) throws Exception;

    /**
     * 调用 已发布Agent应用
     */
    void callAgentApplication(@RequestBody AgentApplicationDto dto, HttpServletResponse httpServletResponse) throws Exception;

    /**
     * 获取 已发布Agent应用
     */
    List<BizAgentApplicationPublishDto> getAgentApplication(@RequestBody AgentApplicationInfoSearchDto dto, HttpServletResponse httpServletResponse) throws Exception;

    /**
     * 获取应用详情
     */
    @Permission(value = Access.Anonymous)
    BizAgentApplicationPublishDto getInfo(@RequestParam String agentId) throws Exception;

    /**
     * 追问
     */
    List<String> createContinueQuestions(@RequestBody AgentApplicationCreateContinueQuesDto dto) throws Exception;

}
