package cn.com.poc.knowledge.rest;

import cn.com.poc.knowledge.dto.BizKnowledgeDocumentDto;
import cn.com.yict.framemax.core.rest.BaseRest;
import cn.com.yict.framemax.data.model.PagingInfo;
import cn.com.yict.framemax.web.permission.Access;
import cn.com.yict.framemax.web.permission.Permission;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

@Permission(Access.Safety)
public interface KnowledgeRest extends BaseRest {


    /**
     * 上传文档
     *
     * @param documentFiles 文档
     * @return 是否成功
     */
    List<BizKnowledgeDocumentDto> uploadDocument(@RequestParam("documentFiles") MultipartFile[] documentFiles) throws Exception;

    /**
     * 删除文档
     *
     * @param kdId 主键ID
     * @return 是否成功
     */
    Boolean delDocument(@RequestParam Integer kdId);


    /**
     * 重命名
     */
    Boolean renameDocument(@RequestParam Integer kdId, @RequestParam String rename) throws Exception;

    /**
     * 启用 / 关闭
     *
     * @
     */
    String enableKnowledge(@RequestParam Integer kdId) throws Exception;

    /**
     * 开启训练
     */
    Boolean trainKnowledge(@RequestBody List<Integer> kdIds) throws Exception;

    /**
     * 获取用户知识库
     */
    List<BizKnowledgeDocumentDto> getList(@RequestParam(required = false) String search, @RequestParam(required = false) String trainStatus, PagingInfo pagingInfo) throws Exception;


    /**
     * 获取知识库
     *
     * @param kdIds
     * @return
     * @throws Exception
     */
    List<BizKnowledgeDocumentDto> getListByKdIds(@RequestBody List<Integer> kdIds);


}
