package cn.com.poc.thirdparty.resource.demand.ai.aggregate;

import java.util.List;

/**
 * 知识库
 */
public interface DemandKnowledgeService {

    /**
     * 训练知识库
     *
     * @param fileURL 训练文档
     * @return 知识库id
     */
    String trainKnowledge(String fileURL);

    /**
     * 删除知识库
     *
     * @param knowledgeId 知识库id
     */
    void delKnowledge(String knowledgeId);

    /**
     * 知识库查询
     *
     * @param query        查询文本
     * @param knowledgeIds 知识库id
     * @param topK         返回个数
     * @return 查询结果
     */
    List<String> searchKnowledge(String query, List<String> knowledgeIds, Integer topK);

}
